import unittest

from peewit.core   import Experiment, ENode
from peewit.vcubes import VCube, Manipulation
from peewit.presentation import Viewer


import project_conf
#reload(project_conf)

PK = project_conf.PK
#AR = project_conf.AR
VCube.pathkeeper = PK
from basics import rabbit, kasha, Tube, carrot


class carrot(carrot):
    
    def loop_condition(self, kasha, rabbit):
        
        return (kasha.effective_dim_sizes()['carrot'] <= 10 and \
                rabbit != "c")
        
        #return (self.dvc.effective_dim_sizes()['carrot'] <= 10 and \
        #        rabbit != "c")
        
class Loops(unittest.TestCase):
    
     
    def test_loops(self): 
        
        
        E = Experiment( pathkeeper = PK,
                        version    = 0,
                        verbose_descent = None,#['kasha'],
                        #archivist=AR,
                      )
        
        etree = [   rabbit(),
                    carrot(), 
                    kasha(), 
        ]
        
        E.define(etree)
        Experiment.treenames = set()
                  
        vc = E.run()
        
        
        vc.show()
        vc.check()
        #vc.save()
        
        
        