

from ml.table import  TableData

class ARFFData(TableData):
    def init(self, 
             source_suffix   = 'arff',
            ):
        pass

        
class clean1(TableData):
    def init(self, 
             source_filename =  'clean1.arff',
            ):
        pass
    

class acute(TableData):
    def init(self, 
             source_filename =  'diagnosis.data',
            ): 
        pass
    

class sonar(TableData):
    def init(self, 
             source_suffix   = 'arff',
            ):
        pass


class diabetes(ARFFData):
    pass

class heartstatlog(TableData):
    def init(self, 
                source_filename =  'heart-statlog.arff',
                ):
        pass
    


 

class vehicle(ARFFData):
    pass


    
class vote(TableData):
    def init(self, 
                source_filename =  'vote-1.arff',
                missing_value = ['?']
                ):
        pass


class arrhythmia(TableData):
    """Has 73 nomimals but we dont which of the 279 they are."""  
    def init(self, 
                source_filename =  'arrhythmia.data',
                missing_value = ['?']
                ):
        pass

class breast_cancer(TableData):
    def init(self, 
                source_filename =  'breast_cancer.arff',
                nominal_columns = [ 5 ]
                ):
        pass


class colic(TableData):
    def init(self, 
                source_filename =  'colic.arff',
                missing_value = ['?']
                ):
        pass
 
class cleveland_heart_disease(ARFFData):
    def init(self, 
             source_filename   = 'cleveland-heart-disease.arff',
            ):
        pass

class parkinsons(ARFFData):
    def init(self, 
             source_filename   = 'parkinsons.data',
             output_index      = -7,
             has_column_header = True,
             has_row_header    = True,
            ):
        pass


class anneal(ARFFData):
    pass

class soybean(ARFFData):
    pass


class ionosphere(ARFFData):
    pass

class yeast(ARFFData):
    pass

class segment(ARFFData):
    pass

class glass(ARFFData):
    pass

class car(ARFFData):
    pass

class abalone(ARFFData):
    pass

class eucalyptus(ARFFData):
    pass
    


class vowel(ARFFData):
    def init(self,
             nominal_columns=[0,1,2]):
        pass

          
if __name__ == '__main__':
    
    pass
    
    
