"""We cannot run launcher-test as unit test, because the computing node 
are to run the very same e-tree from the some module as the 
launching node. That is if the main run does an unit test the remote nodes do same.
Therefore, we use this non-integrated module for basic launcher-testing.
"""


import unittest, time

from peewit.core   import Experiment, ENode
from peewit.vcubes import VCube
from peewit.presentation import Viewer

import project_conf


PK = project_conf.PK
AR = project_conf.AR
LC = project_conf.LC

import  os 
from ascent import base, factor, another_factor, first



        
e_tree =  [  base(),
             factor(), 
             another_factor(),
             first(),
           ] 




E = Experiment( pathkeeper = PK,
                version    = 23,
                #archivist  = AR,
                launcher   = LC,
              )


LC.specify_launch( dont     = 0,
                   dismiss  = 0,
                   target   = 'first',
                   #axes     = [ ('factor', 3), ],
                   axes     = [ 'factor' ],
                   
                 )




E.define(e_tree)

Experiment.treenames = set()


vc = E.run()

vi = Viewer(vc)

vi.print_vcube()

#time.sleep(3)

        
        
    