import unittest

from peewit.core   import Experiment, ENode
from peewit.vcubes import VCube, Manipulation
from peewit.presentation import Viewer


import project_conf
#reload(project_conf)

PK = project_conf.PK
#AR = project_conf.AR
VCube.pathkeeper = PK
from basics import rabbit,carrot, kasha, Tube


class carrot2(ENode):
    def descent(self, rabbit):
        if rabbit == "a":
            A = Tube(line=1)
            B = Tube(line=2)
            C = Tube(line=3)        
            return [ A, B, C ]
        else:
            A = Tube(line=1)        
            return [ A ]
    
        
class Semi(unittest.TestCase):
    
     
    def test_semi(self): 
        
        E = Experiment( pathkeeper = PK,
                        version    = 0,
                        verbose_descent = None,#['kasha'],
                        #archivist=AR,
                      )
        
        etree = [   rabbit(),
                    carrot2(), 
                    kasha(input_refs=[['carrot', 'carrot2']]), 
        ]
        
        E.define(etree)
        Experiment.treenames = set()
                  
        vc = E.run()
        
        vc.show()
        vc.check()
        vc.save()
        
        
        